Subject: Re: bug#36275: warn-about-diskspace fails with a stacktrace
From: Björn Höfling <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: [email-masked]
Date: Tue, 18 Jun 2019 18:06:42 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On Tue, 18 Jun 2019 15:48:51 +0200
Ludovic Courtès <[email-masked]> wrote:

> Pro tip:
> 
>   rm guix/scripts.go && make
> 
> :-)
> 
> This recompilation is needed because
> 1b5ee3bdaacf665ad1e7c6142122389fd7033ea2 moved a bunch of bindings
> used by macro-expanded code to a different module.

I sometimes still have my problems with the Guile stacktraces. In that
case it was pointing me to the wrong locations and I couldn't
understand why. Well, the source and binaries didn't match any more.

I chose a full "make clean-go" and it works again :-)

Thanks,

Björn